Skip to content
Start here

Edit IPFS Universal Path Gateway Content List Entry

web3.hostnames.ipfs_universal_paths.content_lists.entries.update(strcontent_list_entry_identifier, EntryUpdateParams**kwargs) -> EntryUpdateResponse
PUT/zones/{zone_id}/web3/hostnames/{identifier}/ipfs_universal_path/content_list/entries/{content_list_entry_identifier}

Edit IPFS Universal Path Gateway Content List Entry

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Web3 Hostnames Write
ParametersExpand Collapse
zone_id: str

Specify the identifier of the hostname.

maxLength32
identifier: str

Specify the identifier of the hostname.

maxLength32
content_list_entry_identifier: str

Specify the identifier of the hostname.

maxLength32
content: str

Specify the CID or content path of content to block.

maxLength500
type: Literal["cid", "content_path"]

Specify the type of content list entry to block.

One of the following:
"cid"
"content_path"
description: Optional[str]

Specify an optional description of the content list entry.

maxLength500
ReturnsExpand Collapse
class EntryUpdateResponse:

Specify a content list entry to block.

id: Optional[str]

Specify the identifier of the hostname.

maxLength32
content: Optional[str]

Specify the CID or content path of content to block.

maxLength500
created_on: Optional[datetime]
formatdate-time
description: Optional[str]

Specify an optional description of the content list entry.

maxLength500
modified_on: Optional[datetime]
formatdate-time
type: Optional[Literal["cid", "content_path"]]

Specify the type of content list entry to block.

One of the following:
"cid"
"content_path"

Edit IPFS Universal Path Gateway Content List Entry

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
entry = client.web3.hostnames.ipfs_universal_paths.content_lists.entries.update(
    content_list_entry_identifier="023e105f4ecef8ad9ca31a8372d0c353",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
    identifier="023e105f4ecef8ad9ca31a8372d0c353",
    content="QmPZ9gcCEpqKTo6aq61g2nXGUhM4iCL3ewB6LDXZCtioEB",
    type="cid",
)
print(entry.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "content": "QmPZ9gcCEpqKTo6aq61g2nXGUhM4iCL3ewB6LDXZCtioEB",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "this is my content list entry",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "type": "cid"
  },
  "success": true,
  "result_info": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "content": "QmPZ9gcCEpqKTo6aq61g2nXGUhM4iCL3ewB6LDXZCtioEB",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "this is my content list entry",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "type": "cid"
  },
  "success": true,
  "result_info": {}
}